
From: Jody McIntyre <scjody@steamballoon.com>

This patch contains the following possible cleanups:

- #if 0 the following unused global functions:
  - hpsb_lock
  - hpsb_send_gasp

- ieee1394_transactions.h: remove the stale hpsb_lock64 prototype

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Jody McIntyre <scjody@steamballoon.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ieee1394/ieee1394_core.c         |    1 -
 drivers/ieee1394/ieee1394_transactions.c |    3 +++
 drivers/ieee1394/ieee1394_transactions.h |    7 -------
 3 files changed, 3 insertions(+), 8 deletions(-)

diff -puN drivers/ieee1394/ieee1394_core.c~drivers-ieee1394-ieee1394_transactionsc-possible-cleanups drivers/ieee1394/ieee1394_core.c
--- 25/drivers/ieee1394/ieee1394_core.c~drivers-ieee1394-ieee1394_transactionsc-possible-cleanups	2005-05-06 18:26:58.000000000 -0700
+++ 25-akpm/drivers/ieee1394/ieee1394_core.c	2005-05-06 18:26:58.000000000 -0700
@@ -1248,7 +1248,6 @@ EXPORT_SYMBOL(hpsb_make_phypacket);
 EXPORT_SYMBOL(hpsb_make_isopacket);
 EXPORT_SYMBOL(hpsb_read);
 EXPORT_SYMBOL(hpsb_write);
-EXPORT_SYMBOL(hpsb_lock);
 EXPORT_SYMBOL(hpsb_packet_success);
 
 /** highlevel.c **/
diff -puN drivers/ieee1394/ieee1394_transactions.c~drivers-ieee1394-ieee1394_transactionsc-possible-cleanups drivers/ieee1394/ieee1394_transactions.c
--- 25/drivers/ieee1394/ieee1394_transactions.c~drivers-ieee1394-ieee1394_transactionsc-possible-cleanups	2005-05-06 18:26:58.000000000 -0700
+++ 25-akpm/drivers/ieee1394/ieee1394_transactions.c	2005-05-06 18:26:58.000000000 -0700
@@ -535,6 +535,7 @@ hpsb_write_fail:
         return retval;
 }
 
+#if 0
 
 int hpsb_lock(struct hpsb_host *host, nodeid_t node, unsigned int generation,
 	      u64 addr, int extcode, quadlet_t *data, quadlet_t arg)
@@ -599,3 +600,5 @@ int hpsb_send_gasp(struct hpsb_host *hos
 
 	return retval;
 }
+
+#endif  /*  0  */
diff -puN drivers/ieee1394/ieee1394_transactions.h~drivers-ieee1394-ieee1394_transactionsc-possible-cleanups drivers/ieee1394/ieee1394_transactions.h
--- 25/drivers/ieee1394/ieee1394_transactions.h~drivers-ieee1394-ieee1394_transactionsc-possible-cleanups	2005-05-06 18:26:58.000000000 -0700
+++ 25-akpm/drivers/ieee1394/ieee1394_transactions.h	2005-05-06 18:26:58.000000000 -0700
@@ -53,12 +53,5 @@ int hpsb_read(struct hpsb_host *host, no
 	      u64 addr, quadlet_t *buffer, size_t length);
 int hpsb_write(struct hpsb_host *host, nodeid_t node, unsigned int generation,
 	       u64 addr, quadlet_t *buffer, size_t length);
-int hpsb_lock(struct hpsb_host *host, nodeid_t node, unsigned int generation,
-	      u64 addr, int extcode, quadlet_t *data, quadlet_t arg);
-int hpsb_lock64(struct hpsb_host *host, nodeid_t node, unsigned int generation,
-		u64 addr, int extcode, octlet_t *data, octlet_t arg);
-int hpsb_send_gasp(struct hpsb_host *host, int channel, unsigned int generation,
-                   quadlet_t *buffer, size_t length, u32 specifier_id,
-                   unsigned int version);
 
 #endif /* _IEEE1394_TRANSACTIONS_H */
_
